Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.notifications
Class Notification

    java.lang.Object
      com.bea.netuix.application.notifications.Notification

All Implemented Interfaces
  Serializable

    public class Notification

extends Object
implements Serializable

The notification object represents a notification sent to a single user.

See Also
  Serialized Form

Constructor Summary
`Notification(NotificationId id, String user, boolean consumed, NotificationPayload payload)` Constructor for a Notification object.

Method Summary
`boolean` | `equals(Object o)`
`NotificationId` | `getId()` Returns the `NotificationId` for this `Notification`.
`NotificationPayload` | `getNotificationPayload()` Returns the `NotificationPayload` object for this notification.
`String` | `getUsername()` Returns the username this notification was sent to.
`boolean` | `isConsumed()` Indicates whether this notification has been consumed.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Notification

    public Notification(NotificationId id,
                        String user,
                        boolean consumed,
                        NotificationPayload payload)

  Constructor for a Notification object.

  Parameters
    `id` - the ID of the notification.
    `user` - the WLS username for the notification.
    `consumed` - `true` if this notification has been consumed.
    `payload` - the payload for this notification.

Method Detail

### getId

    public NotificationId getId()

  Returns the `NotificationId` for this `Notification`.

  Returns
    the `NotificationId` for this `Notification`

### getUsername

    public String getUsername()

  Returns the username this notification was sent to.

  Returns
    the username this notification was sent to.

### isConsumed

    public boolean isConsumed()

  Indicates whether this notification has been consumed.

  Returns
    `true` if this notification has been consumed.

### getNotificationPayload

    public NotificationPayload getNotificationPayload()

  Returns the `NotificationPayload` object for this notification.

  Returns
    the `NotificationPayload` object for this notification

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved